Bug 157202 - CAN-2005-1262 Gaim MSN DoS
CAN-2005-1262 Gaim MSN DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gaim (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
impact=important,public=20050510,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-09 07:59 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 04:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-09 07:59:23 EDT
It turns out that this is a potential Remote DoS bug resulting from not
checking a pointer for non-NULL before passing it to strncmp which
results in a crash. This can be triggered by a remote client sending an
SLP message with an empty body.

The fix for this is in CVS:
http://cvs.sourceforge.net/viewcvs.py/gaim/gaim/src/protocols/msn/slp.c?r1=1.12.2.12&r2=1.12.2.13
Comment 1 Josh Bressers 2005-05-09 08:00:07 EDT
This issue should also affect RHEL3 (maybe RHEL2.1, it needs investigation).
Comment 2 Mark J. Cox (Product Security) 2005-05-11 04:03:36 EDT
public, removing embargo
Comment 3 Mark J. Cox (Product Security) 2005-05-11 04:33:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-429.html

Note You need to log in before you can comment on or make changes to this bug.